aboutsummaryrefslogtreecommitdiffstats
path: root/buildconfigs
diff options
context:
space:
mode:
authorKeir Fraser <keir.fraser@citrix.com>2008-06-09 10:44:09 +0100
committerKeir Fraser <keir.fraser@citrix.com>2008-06-09 10:44:09 +0100
commitf0f278e1dae2ac88dd0803b78ad945ebb8b22d19 (patch)
tree74dd9d41bd5eccea4e71ff52de4df6eba6a045f1 /buildconfigs
parent3e28b1c5bb5dab099a18143a40b45ebf59a34d45 (diff)
downloadxen-f0f278e1dae2ac88dd0803b78ad945ebb8b22d19.tar.gz
xen-f0f278e1dae2ac88dd0803b78ad945ebb8b22d19.tar.bz2
xen-f0f278e1dae2ac88dd0803b78ad945ebb8b22d19.zip
When building from a tarball release use hardcoded path to
linux-2.6.18-xen.hg as a last resort when searching for a Linux source tree. Signed-off-by: Ian Campbell <ian.campbell@citrix.com>
Diffstat (limited to 'buildconfigs')
-rwxr-xr-xbuildconfigs/select-repository51
1 files changed, 29 insertions, 22 deletions
diff --git a/buildconfigs/select-repository b/buildconfigs/select-repository
index d32db069f3..e5bf27e47a 100755
--- a/buildconfigs/select-repository
+++ b/buildconfigs/select-repository
@@ -32,31 +32,38 @@ if [ X"${LINUX_SRC_PATH}" != X ] ; then
IFS="$IFS_saved"
fi
-XEN=$(hg -R ${XEN_ROOT} path default)
-if [ $? -ne 0 ] || [ X"$XEN" = "X" ] ; then
- echo "$ME: Unable to determine Xen repository parent." 1>&2
- exit 1;
-fi
+if [ -d ${XEN_ROOT}/.hgxxx ] ; then
+ XEN=$(hg -R ${XEN_ROOT} path default)
+ if [ $? -ne 0 ] || [ X"$XEN" = "X" ] ; then
+ echo "$ME: Unable to determine Xen repository parent." 1>&2
+ exit 1;
+ fi
-BASE=$(dirname ${XEN})
-if [ $? -ne 0 ] || [ X"$BASE" = "X" ] ; then
- echo "$ME: Unable to determine Xen repository base." 1>&2
- exit 1;
-fi
-if [ -d "$XEN" ] && [ ! -d "$BASE/$REPO" ] ; then
- echo "$ME: No such dir: $BASE/$REPO" 1>&2
- exit 1
-fi
+ BASE=$(dirname ${XEN})
+ if [ $? -ne 0 ] || [ X"$BASE" = "X" ] ; then
+ echo "$ME: Unable to determine Xen repository base." 1>&2
+ exit 1;
+ fi
+ if [ -d "$XEN" ] && [ ! -d "$BASE/$REPO" ] ; then
+ echo "$ME: No such dir: $BASE/$REPO" 1>&2
+ exit 1
+ fi
-echo "$ME: Found ${BASE}/${REPO}" 1>&2
+ echo "$ME: Found ${BASE}/${REPO}" 1>&2
-# If ${BASE}/${REPO} is a local directory then prepend file:// so that
-# the test in src.hg-clone will fail and we will clone instead of
-# linking this repository. We only want to link repositories which
-# were found via LINUX_SRC_PATH.
-if [ -d "${BASE}/${REPO}" ] ; then
- echo "file://${BASE}/${REPO}"
+ # If ${BASE}/${REPO} is a local directory then prepend file:// so that
+ # the test in src.hg-clone will fail and we will clone instead of
+ # linking this repository. We only want to link repositories which
+ # were found via LINUX_SRC_PATH.
+ if [ -d "${BASE}/${REPO}" ] ; then
+ echo "file://${BASE}/${REPO}"
+ else
+ echo ${BASE}/${REPO}
+ fi
else
- echo ${BASE}/${REPO}
+ echo "Unable to determine path to Linux source tree." 1>&2
+ echo "Falling back to linux-2.6.18-xen Mercurial repository." 1>&2
+ echo http://xenbits.xensource.com/linux-2.6.18-xen.hg
fi
+
exit 0